This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 144631 - No match for USB device: mfr "EPSON" model "Stylus Photo R200"
No match for USB device: mfr "EPSON" model "Stylus Photo R200"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 22:40 EST by Christopher J. Bottaro
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 04:11:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/Epson-Stylus_Photo_R200.xml (1.17 KB, text/plain)
2005-01-10 08:32 EST, Tim Waugh
no flags Details

  None (edit)
Description Christopher J. Bottaro 2005-01-09 22:40:57 EST
No match for USB device: 
  mfr "EPSON" 
  model "Stylus Photo R200" 
  desc "EPSON Stylus Photo R200" 
  cmdset "ESCPL2,BDC,D4" 
Please report this message in Bugzilla: 
  https://bugzilla.redhat.com/bugzilla 
Choose 'foomatic' as the component. 
 
[root@tapu ~]# cat /var/log/cups/error_log 
... 
I [09/Jan/2005:21:27:48 -0600] Listening to 7f000001:631 
I [09/Jan/2005:21:27:48 -0600] Loaded configuration file 
"/etc/cups/cupsd.conf" 
I [09/Jan/2005:21:27:48 -0600] Configured for up to 100 clients. 
I [09/Jan/2005:21:27:48 -0600] Allowing up to 100 client connections 
per host. 
I [09/Jan/2005:21:27:48 -0600] Full reload is required. 
I [09/Jan/2005:21:27:48 -0600] LoadPPDs: Read "/etc/cups/ppds.dat", 
15 PPDs... 
I [09/Jan/2005:21:27:48 -0600] LoadPPDs: No new or changed PPDs... 
I [09/Jan/2005:21:27:48 -0600] Full reload complete. 
I [09/Jan/2005:21:27:59 -0600] Adding start banner page "none" to job 
6. 
I [09/Jan/2005:21:27:59 -0600] Adding end banner page "none" to job 
6. 
I [09/Jan/2005:21:27:59 -0600] Job 6 queued on 'StylusPhotoR200' by 
'root'. 
I [09/Jan/2005:21:27:59 -0600] Started 
filter /usr/lib/cups/filter/pstops (PID 5422) for job 6. 
I [09/Jan/2005:21:27:59 -0600] Started 
filter /usr/lib/cups/filter/foomatic-rip (PID 5423) for job 6. 
I [09/Jan/2005:21:27:59 -0600] Started 
backend /usr/lib/cups/backend/usb (PID 5424) for job 6. 
E [09/Jan/2005:21:27:59 -0600] PID 5423 stopped with status 3! 
I [09/Jan/2005:21:27:59 -0600] Hint: Try setting the LogLevel to 
"debug" to find out more. 
 
Version-Release number of selected component (if applicable): 
foomatic-3.0.2-3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
Setup the printer using system-config-printer-gui, try to print a 
test page.
Comment 1 Tim Waugh 2005-01-10 04:48:31 EST
There are two separate issues here:

1. The autodetection information for this printer model is not known.  This is
very easy to fix, but is harmless.  It just means that you had to manually
select the correct model from the list yourself, rather than it being selected
for you.

2. For some reason you cannot print.  This needs further investigation.

Please file a new bug (also against foomatic).  Please do set the LogLevel in
/etc/cups/cupsd.conf to 'debug' (as the last line of the log you pasted in
suggests), restart cups, try to print again and then attach the log file to the
new bug report.

Thanks.
Comment 2 Tim Waugh 2005-01-10 08:32:31 EST
Created attachment 109552 [details]
/usr/share/foomatic/db/source/printer/Epson-Stylus_Photo_R200.xml

Please save this attachment and copy it to:

  /usr/share/foomatic/db/source/printer/Epson-Stylus_Photo_R200.xml

Is the correct model now automatically selected from the list when you add a
new printer queue?
Comment 3 Christopher J. Bottaro 2005-01-11 20:55:10 EST
Yes, the new .xml file caused the correct model to automatically be 
selected. 
 
The other problem still remains, I'm opening a new bug for it as you 
requested. 

Note You need to log in before you can comment on or make changes to this bug.